Qt 5.6 | Qt 3D | C++ Classes | QKeyEvent

Qt 5.6.3 Reference Documentation

# QKeyEvent Class

(Qt3DInput::QKeyEvent)

Header: | #include <QKeyEvent>
qmake: | QT += 3dinput
Since: | Qt 5.5
Instantiated By: | KeyEvent

- List of all members, including inherited members

## Properties

- accepted : bool
- count : const int
- isAutoRepeat : const bool
- key : const int

- modifiers : const int
- nativeScanCode : const quint32
- text : const QString

## Public Functions

| QKeyEvent(QEvent::Type type, int key, Qt::KeyboardModifiers modifiers, const QString &text = QString(), bool autorep = false, ushort count = 1)
| QKeyEvent(const QKeyEvent &ke)
int | count() const
bool | isAccepted() const
bool | isAutoRepeat() const
int | key() const
bool | matches(QKeySequence::StandardKey key_) const
int | modifiers() const
quint32 | nativeScanCode() const
void | setAccepted(bool accepted)
QString | text() const
QEvent::Type | type() const

## Detailed Description

## Property Documentation

### accepted : bool

Access functions:

bool | isAccepted() const
void | setAccepted(bool accepted)

### count : const int

Access functions:

int | count() const

### isAutoRepeat : const bool

Access functions:

bool | isAutoRepeat() const

### key : const int

Access functions:

int | key() const

### modifiers : const int

Access functions:

int | modifiers() const

### nativeScanCode : const quint32

Access functions:

quint32 | nativeScanCode() const

### text : const QString

Access functions:

QString | text() const

## Member Function Documentation

### QKeyEvent::QKeyEvent(QEvent::Type type, int key, Qt::KeyboardModifiers modifiers, const QString &text = QString(), bool autorep = false, ushort count = 1)

Default constructs an instance of QKeyEvent.

### QKeyEvent::QKeyEvent(const QKeyEvent &ke)

Copy constructor.

### bool QKeyEvent::matches(QKeySequence::StandardKey key_) const

### QEvent::Type QKeyEvent::type() const